import { NgModule } from "@angular/core";
import { ChartsModule } from "ng2-charts/ng2-charts";

import { PunishComponent } from "./punish.component";
import { PunishRoutingModule } from "./punish-routing.module";
import { CommonModule } from "@angular/common";
import { FormsModule } from "@angular/forms";
import { MyDatePickerModule } from "mydatepicker";
import { LoadingModule, ANIMATION_TYPES } from "ngx-loading";
import { MomentModule } from 'ngx-moment';
import {MomentTimezoneModule} from 'angular-moment-timezone';
import { ModalModule } from "ngx-bootstrap/modal";
import { TabsModule } from "ngx-bootstrap";

@NgModule({
  imports: [
    PunishRoutingModule,
    ChartsModule,
    CommonModule,
    FormsModule,
    MomentModule,
    MomentTimezoneModule,
    MyDatePickerModule,
    LoadingModule,
    ModalModule.forRoot(),
    TabsModule.forRoot()
  ],
  declarations: [PunishComponent]
})
export class PunishModule {}
