export const navigation = [
  { name: "首頁", url: "/dashboard", icon: "icon-home" },
  { name: "開單", url: "/punish", icon: "icon-check" },
  {
    name: "開單設定",
    url: "/set",
    icon: "icon-settings",
    children: [
      { name: "行政區管理", url: "/set/set001", icon: "icon-folder" },
      { name: "原因設定", url: "/set/set002", icon: "icon-folder" },
      { name: "廠商資料設定", url: "/set/set003", icon: "icon-folder" }
    ]
  },
  {
    name: "報表管理",
    url: "/mro",
    icon: "icon-support",
    children: [
      { name: "違規類型違規數統計", url: "/mro/mro004", icon: "icon-list" },
      { name: "違規事件&站點違規數統計", url: "/mro/mro005", icon: "icon-list" },
      { name: "設備故障統計表", url: "/mro/mro006", icon: "icon-list" },
      { name: " API 表格清單", url: "/mro/mro007", icon: "icon-list" }
    ]
  },
  {
    name: "公佈欄管理",
    url: "/board",
    icon: "icon-settings",
    children: [
      { name: "公佈欄設定", url: "/board/board001", icon: "icon-folder" },
    ]
  },
  {
    name: "系統設定",
    url: "/sys",
    icon: "icon-settings",
    children: [
      { name: "變更密碼", url: "/sys/sys001", icon: "icon-lock" },
      { name: "使用者管理", url: "/sys/sys002", icon: "icon-people" },
      { name: "個人資料顯示", url: "/sys/sys003", icon: "icon-people" },
      { name: "角色權限管理", url: "/sys/sys004", icon: "icon-key" },
      { name: "分局管理", url: "/sys/sys006", icon: "icon-key" },
      { name: "頁面管理", url: "/sys/sys005", icon: "icon-layers" }
    ]
  },
  { name: "線上報修", url: "/login/loginPostRepair", icon: "icon-wrench" }
];
