import { NgModule } from "@angular/core";
import { ChartsModule } from "ng2-charts/ng2-charts";

import { DashboardComponent } from "./dashboard.component";
import { DashboardRoutingModule } from "./dashboard-routing.module";
import { CommonModule } from "@angular/common";
import { FormsModule } from "@angular/forms";
import { MyDatePickerModule } from "mydatepicker";
import { LoadingModule, ANIMATION_TYPES } from "ngx-loading";
import { MomentModule } from 'ngx-moment';
import {MomentTimezoneModule} from 'angular-moment-timezone';
import { ModalModule } from "ngx-bootstrap/modal";

@NgModule({
  imports: [
    DashboardRoutingModule,
    ChartsModule,
    CommonModule,
    FormsModule,
    MomentModule,
    MomentTimezoneModule,
    MyDatePickerModule,
    LoadingModule,
    ModalModule.forRoot()
  ],
  declarations: [DashboardComponent]
})
export class DashboardModule {}
