import { NgModule } from "@angular/core";
import { FormsModule, ReactiveFormsModule } from "@angular/forms";
import { CommonModule } from "@angular/common";
import { TabsModule } from "ngx-bootstrap/tabs";
import { MatAutocompleteModule, MatInputModule } from "@angular/material";
import { LoginComponent } from "app/views/login/login.component";
import { LoginRoutingModule } from "app/views/login/login.routing.module";
import { ForgetPwdComponent } from "app/views/login/forgetPwd.component";
import { LoadingModule } from "ngx-loading";
import { Mro000Component } from "app/views/login/mro000.component";
import { Mro000ResultComponent } from "app/views/login/mro000-result.component";
@NgModule({
  imports: [
    CommonModule,
    MatInputModule,
    ReactiveFormsModule,
    FormsModule,
    MatAutocompleteModule,
    LoginRoutingModule,
    LoadingModule,
    TabsModule.forRoot()
  ],
  declarations: [
    LoginComponent,
    ForgetPwdComponent,
    Mro000Component,
    Mro000ResultComponent
  ]
})
export class LoginModule {}
