import { NgModule } from "@angular/core";
import { Routes, RouterModule } from "@angular/router";
import { LoginComponent } from "app/views/login/login.component";
import { ForgetPwdComponent } from "app/views/login/forgetPwd.component";
import { Mro000Component } from "app/views/login/mro000.component";
import { Mro000ResultComponent } from "app/views/login/mro000-result.component";

const routes: Routes = [
  {
    path: "",
    component: LoginComponent,
    data: {
      title: "登入"
    }
  },
  {
    path: "forgetPWD",
    component: ForgetPwdComponent,
    data: {
      title: "忘記密碼"
    }
  },
  {
    path: "loginPostRepair",
    component: Mro000Component,
    data: {
      title: "登入報修"
    }
  },
  {
    path: "unLoginPostRepair",
    component: Mro000ResultComponent,
    data: {
      title: "免登入報修"
    }
  }
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule]
})
export class LoginRoutingModule {}
